#
# spec file for package pngtoico
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pngtoico
Version:        1.0.1
Release:        146.1
Summary:        Utility to convert PNG images to Microsoft ICO format
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Convertors
URL:            https://www.kernel.org/pub/software/graphics/pngtoico/
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE pngtoico-makefile.patch -- adjusts path and linkage
Patch0:         %{name}-makefile.patch
# PATCH-FIX-UPSTREAM pngtoico-libpng15.patch -- pgajdos@suse.com; build with libpng15; sent today to hpa@zytor.com
# build against libpng14 should not be affected, otherwise please let me know
Patch1:         %{name}-libpng15.patch
BuildRequires:  libpng-devel

%description
pngtoico is a small utility to convert a set of PNG images to Microsoft
ICO format. Supports transparency.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1

%build
%make_build CFLAGS="%{optflags}"

%install
make "INSTALLROOT=%{buildroot}" install

%files
%{_mandir}/man1/pngtoico.1%{?ext_man}
%{_bindir}/pngtoico

%changelog
* Thu Feb 22 2024 Michael Vetter <mvetter@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Dec 24 2020 Matthias Bach <marix@marix.org>
- Modernise spec file
* Thu Jan  5 2012 pgajdos@suse.com
- build also with libpng15
  * libpng15.patch
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Thu Dec  8 2011 coolo@suse.com
- looks like GPL-2.0+
* Sat Apr 30 2011 marix@marix.org
- cleaned up spec file
* Fri Feb 24 2006 lmichnovic@suse.cz
- update to version 1.0.1
  Update fixes only legal issue [#152758]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 schwab@suse.de
- Don't strip binaries.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Jun 16 2005 meissner@suse.de
- use RPM_OPT_FLAGS correctly.
* Mon Jan 13 2003 ro@suse.de
- also add -lm
* Thu Jul  4 2002 ro@suse.de
- add -lz for libpng
* Wed Apr 17 2002 prehak@suse.cz
- first version of this packge (version 1.0)
